org.apache.mina.statemachine.transition

## Interface SelfTransition

- All Known Implementing Classes:
    AbstractSelfTransition, MethodSelfTransition

      public interface SelfTransition

  The interface implemented by classes which need to react on entering a certain states.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute(StateContext stateContext, State state)` Executes this `SelfTransition`.

- - ### Method Detail

    - #### execute

          boolean execute(StateContext stateContext,
                        State state)

      Executes this `SelfTransition`.
      Returns:
        `true` if the `SelfTransition` was executed, `false` otherwise.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.